# Uses of Class
org.apache.lucene.index.CheckIndex.Status.SegmentInfoStatus

Packages that use CheckIndex.Status.SegmentInfoStatus
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of CheckIndex.Status.SegmentInfoStatus in org.apache.lucene.index

  Fields in org.apache.lucene.index with type parameters of type CheckIndex.Status.SegmentInfoStatus
  Modifier and Type
  Field
  Description
  `List<CheckIndex.Status.SegmentInfoStatus>`
  CheckIndex.Status.`segmentInfos`
  List of `CheckIndex.Status.SegmentInfoStatus` instances, detailing status of each segment.